cURL
curl --request GET 'https://api.brightalk.ai/usage?start_at=2026-11-01T00:00:00Z&end_at=2026-11-12T00:00:00Z' \
--header "Authorization: Bearer $BRIGHTALK_API_KEY" \
--header 'Brightalk-Version: 2026-07-16'const response = await fetch("https://api.brightalk.ai/usage?start_at=2026-11-01T00:00:00Z&end_at=2026-11-12T00:00:00Z", {
method: "GET",
headers: {
"Authorization": `Bearer ${process.env.BRIGHTALK_API_KEY}`,
"Brightalk-Version": "2026-07-16"
}
});
const result = await response.json();
console.log(result);import os
import requests
response = requests.get(
"https://api.brightalk.ai/usage?start_at=2026-11-01T00:00:00Z&end_at=2026-11-12T00:00:00Z",
headers={
"Authorization": f"Bearer {os.environ['BRIGHTALK_API_KEY']}",
"Brightalk-Version": "2026-07-16"
}
)
print(response.json()){
"start_at": "<string>",
"end_at": "<string>",
"period_basis": "execution_created_at",
"data": [
{
"dimensions": {},
"calls": 4503599627370495,
"billable_minutes": 1,
"sms_segments": 1,
"sms_credits_deducted": 123,
"voice_credits_deducted": 1,
"voice_unallocated_billable_minutes": 1
}
],
"voice_credit_accounting": "settled_period_proportional_minutes",
"voice_credit_unit": "minutes",
"voice_credit_periods": [
{
"subscription_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"period_start": "<string>",
"period_end": "<string>",
"settled_at": "<string>",
"allocation_status": "ready",
"organization_billable_minutes": 1,
"credits_deducted": 1
}
],
"voice_minute_rounding": "duration_seconds / 60"
}Integrations
Usage grouped by execution metadata
Usage grouped by execution metadata.
GET
/
usage
cURL
curl --request GET 'https://api.brightalk.ai/usage?start_at=2026-11-01T00:00:00Z&end_at=2026-11-12T00:00:00Z' \
--header "Authorization: Bearer $BRIGHTALK_API_KEY" \
--header 'Brightalk-Version: 2026-07-16'const response = await fetch("https://api.brightalk.ai/usage?start_at=2026-11-01T00:00:00Z&end_at=2026-11-12T00:00:00Z", {
method: "GET",
headers: {
"Authorization": `Bearer ${process.env.BRIGHTALK_API_KEY}`,
"Brightalk-Version": "2026-07-16"
}
});
const result = await response.json();
console.log(result);import os
import requests
response = requests.get(
"https://api.brightalk.ai/usage?start_at=2026-11-01T00:00:00Z&end_at=2026-11-12T00:00:00Z",
headers={
"Authorization": f"Bearer {os.environ['BRIGHTALK_API_KEY']}",
"Brightalk-Version": "2026-07-16"
}
)
print(response.json()){
"start_at": "<string>",
"end_at": "<string>",
"period_basis": "execution_created_at",
"data": [
{
"dimensions": {},
"calls": 4503599627370495,
"billable_minutes": 1,
"sms_segments": 1,
"sms_credits_deducted": 123,
"voice_credits_deducted": 1,
"voice_unallocated_billable_minutes": 1
}
],
"voice_credit_accounting": "settled_period_proportional_minutes",
"voice_credit_unit": "minutes",
"voice_credit_periods": [
{
"subscription_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"period_start": "<string>",
"period_end": "<string>",
"settled_at": "<string>",
"allocation_status": "ready",
"organization_billable_minutes": 1,
"credits_deducted": 1
}
],
"voice_minute_rounding": "duration_seconds / 60"
}Authorizations
Headers
Query Parameters
Response
Successful response.